import pygame
from flow.assets.sprite_loader import get_intersection
from flow import settings


class Intersection(pygame.sprite.Sprite):
    def __init__(self, x, y):
        super().__init__()
        self.x, self.y = x, y
        self.image = pygame.transform.scale(
            get_intersection(),
            (settings.ROAD_WIDTH, settings.ROAD_WIDTH)
        )
        self.rect = self.image.get_rect()
        self.rect.x, self.rect.y = self.x, self.y
