
class Signal:
    class __Signal:
        def __init__(self):
            self.signals = []

        def send_signal(self, *args):
            self.signals.append(args)

        def pop_signals(self):
            if self.signals:
                yield self.signals.pop(0)

    instance = None

    def __init__(self):
        if not Signal.instance:
            Signal.instance = Signal.__Signal()

    def __getattr__(self, name):
        return getattr(self.instance, name)
