from setuptools import setup, find_packages

NAME = 'destination_irrelevant'
DESCRIPTION = 'Oh no. Traffic management system is down. Your problem now. Sorrynotsorry'
URL = 'https://gitlab.com/davyk/pyweek26-flow'
AUTHOR = 'Noelle, Davy & Steve'
REQUIRES_PYTHON = '>=3.6.0'
VERSION = 0.0

REQUIRED_PACKAGES=['pygame==1.9.4', 'pyganim==0.9.2']

setup(
    name=NAME,
    version=VERSION,
    description=DESCRIPTION,
    author=AUTHOR,
    python_requires=REQUIRES_PYTHON,
    url=URL,
    packages=find_packages(exclude=('tests',)),
    install_requires=REQUIRED_PACKAGES,
    entry_points={
         'console_scripts': ['destination_irrelevant=flow.main:play'],
    },
    include_package_data=True,
)
