import os
import pygame

HEIGHT = 700
WIDTH = 1100
SCREEN_SIZE = (WIDTH, HEIGHT)


pygame.font.init()


FONT = 'Consolas'
FONT_SIZE_XS = 14
XS_FONT = pygame.font.SysFont(FONT, FONT_SIZE_XS)
FONT_SIZE_SM = 16
SM_FONT = pygame.font.SysFont(FONT, FONT_SIZE_SM)
FONT_SIZE_MD = 24
MD_FONT = pygame.font.SysFont(FONT, FONT_SIZE_MD)
FONT_SIZE_LG = 32
LG_FONT = pygame.font.SysFont(FONT, FONT_SIZE_LG)
FONT_SIZE_XL = 40
XL_FONT = pygame.font.SysFont(FONT, FONT_SIZE_XL)

LINE_SPACING = 15

FPS = 60

MAX_SIMULTANEOUS_SOUNDS = 6
LANE_WIDTH = 30
ROAD_WIDTH = LANE_WIDTH * 2
ROAD_BUFFER = 7
RATE_OF_NEW_CARS = 1000

EXPLOSION_RATE = 100


NUM_TURN_STEPS = 10
CAR_SIZE = 22
CAR_SPEED = 5

BRAKELIGHT_DIST = 20

PROJECT_DIR = os.path.dirname(
    os.path.dirname(os.path.abspath(__file__))
)
RUN_DIR = os.path.join(PROJECT_DIR, 'flow')

ROOT_ASSETS_DIR = os.path.join(RUN_DIR, 'assets')
SPRITES_DIR = os.path.join(ROOT_ASSETS_DIR, 'sprites')
SOUNDS_DIR = os.path.join(ROOT_ASSETS_DIR, 'sounds')
MUSIC_DIR = os.path.join(ROOT_ASSETS_DIR, 'music')
DIALOGUE_DIR = os.path.join(ROOT_ASSETS_DIR, 'dialogue')
