import pygame
from flow import settings, colors
from flow.map import Map
from flow.scene_manager import StatsPage
from flow.sprites.sprites import get_traffic_light

pygame.init()

clock = pygame.time.Clock()
screen = pygame.display.set_mode(settings.SCREEN_SIZE)
running = True


while running:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False

    screen.fill(colors.WHITE)
    light = get_traffic_light(color="green")
    light.blit(screen, (0, 0))
    pygame.display.flip()
    clock.tick(settings.FPS)
